module BotMob
  module Networks
    # ## BotMob::Networks::Roaming
    #
    # The default network for a bot that has not yet connected to
    # an external network
    module Roaming
      autoload :Connection,      'bot_mob/networks/roaming/connection'
      autoload :InboundMessage,  'bot_mob/networks/roaming/inbound_message'
      autoload :OutboundMessage, 'bot_mob/networks/roaming/outbound_message'
    end
  end
end
