require 'slack-ruby-client'

module BotMob
  module Networks
    # ## BotMob::Networks::Slack
    #
    # Network connection adapters to work with Slack
    module Slack
      autoload :Connection,      'bot_mob/networks/slack/connection'
      autoload :InboundMessage,  'bot_mob/networks/slack/inbound_message'
      autoload :OutboundMessage, 'bot_mob/networks/slack/outbound_message'
    end
  end
end
