module BotMob
  module Networks
    module Slack
      # # BotMob::Networks::Slack::OutboundMessage
      #
      # Formatted message for delivery to slack
      class OutboundMessage < BotMob::OutboundMessage
        attr_reader :inbound, :channel

        def initialize(**options)
          @network = :slack
          @channel = '#general'
          super
        end
      end
    end
  end
end
